Ryan, you saved my bacon.  I was running into EXACTLY the same problem 
tonight.  Thought I had my rails all up and running and nothing worked. 
Went to the RoR site and it helpfully says that 1.8.2 and 1.8.4 of ruby 
work, but not 1.8.3.  Guess what version my new Ubuntu has...

Then when I went to source, I saw the exact same problem.  Thankfully, I 
appear to have run into it about 24 hours after you. :)

Anyway, thanks mate - that worked beautifully.  Now - someone should be 
logging a bug for the ruby folks, no?

-- 
Posted via http://www.ruby-forum.com/.